package com.github.gkutiel;

import com.github.gkutiel.ObjectStore.Index;

public class Main {
	static class Person {
		@Index
		private final String name;
		@Index
		private final int age;

		public Person(final String name, final int age) {
			this.name = name;
			this.age = age;
		}
	}

	public static void main(final String[] args) {
		final ObjectStore<Person> ps = ObjectStore.create(Person.class);
		final Person p = new Person("Gilad", 32);
		ps.store(p);
		ps.store(new Person("Uri", 32));

		System.out.println(ps.get("name = ?", "Gilad"));

		ps.remove(p);

		System.out.println(ps.get("name = ?", "Gilad"));
	}
}
